Bug 477280 - [QLogic 4.8 bug] qla4xxx - Driver Update Patches - bugs, cleanups
[QLogic 4.8 bug] qla4xxx - Driver Update Patches - bugs, cleanups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
x86_64 Linux
high Severity high
: beta
: 4.8
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
: 454816 (view as bug list)
Depends On:
Blocks: 450896 452249
  Show dependency treegraph
 
Reported: 2008-12-19 19:46 EST by Dave Wagner
Modified: 2011-02-22 04:55 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH 1/7] Dynamic DDB Changes (62.96 KB, patch)
2008-12-19 19:49 EST, Dave Wagner
no flags Details | Diff
[PATCH 2/7] Error Recovery Fixes (51.10 KB, patch)
2008-12-19 19:50 EST, Dave Wagner
no flags Details | Diff
[PATCH 3/7] Hang During Driver Unload (1.94 KB, application/octet-stream)
2008-12-19 19:50 EST, Dave Wagner
no flags Details
[PATCH 4/7] Initialization Fixes (4.54 KB, patch)
2008-12-19 19:51 EST, Dave Wagner
no flags Details | Diff
[PATCH 5/7] Driver Timer Fix (2.67 KB, patch)
2008-12-19 19:52 EST, Dave Wagner
no flags Details | Diff
[PATCH 6/7] Message Display Fixes (2.97 KB, patch)
2008-12-19 19:56 EST, Dave Wagner
no flags Details | Diff
[PATCH 7/7] Code Cleanup (45.88 KB, patch)
2008-12-19 19:57 EST, Dave Wagner
no flags Details | Diff
Original RHEL 4.8 patch submission(5.01.03-d0-RHEL4.7-02 -> 5.01.03-d1-RHEL4.8) (23.24 KB, application/octet-stream)
2008-12-19 20:04 EST, Dave Wagner
no flags Details
Full tarball (159.75 KB, application/x-gzip)
2008-12-19 20:06 EST, Dave Wagner
no flags Details
Dynamic DDB Changes (59.78 KB, patch)
2009-01-11 23:54 EST, Marcus Barrow
no flags Details | Diff
Error Recovery Fixes (49.55 KB, patch)
2009-01-11 23:55 EST, Marcus Barrow
no flags Details | Diff
Hang During Unload (1.43 KB, patch)
2009-01-11 23:56 EST, Marcus Barrow
no flags Details | Diff
initialization fixes (8.05 KB, patch)
2009-01-11 23:58 EST, Marcus Barrow
no flags Details | Diff
time out fix (2.10 KB, text/plain)
2009-01-11 23:59 EST, Marcus Barrow
no flags Details
init fixes (3.96 KB, patch)
2009-01-12 00:01 EST, Marcus Barrow
no flags Details | Diff
code cleanups (43.72 KB, patch)
2009-01-12 00:02 EST, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Dave Wagner 2008-12-19 19:46:13 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Wagner 2008-12-19 19:49:37 EST
Created attachment 327508 [details]
[PATCH 1/7] Dynamic DDB Changes
Comment 2 Dave Wagner 2008-12-19 19:50:15 EST
Created attachment 327509 [details]
[PATCH 2/7] Error Recovery Fixes
Comment 3 Dave Wagner 2008-12-19 19:50:58 EST
Created attachment 327510 [details]
[PATCH 3/7] Hang During Driver Unload
Comment 4 Dave Wagner 2008-12-19 19:51:44 EST
Created attachment 327511 [details]
[PATCH 4/7] Initialization Fixes
Comment 5 Dave Wagner 2008-12-19 19:52:16 EST
Created attachment 327512 [details]
[PATCH 5/7] Driver Timer Fix
Comment 6 Dave Wagner 2008-12-19 19:56:20 EST
Created attachment 327513 [details]
[PATCH 6/7] Message Display Fixes
Comment 7 Dave Wagner 2008-12-19 19:57:35 EST
Created attachment 327514 [details]
[PATCH 7/7] Code Cleanup

New version number is 5.01.03-d4-RHEL4.8-00.
Comment 8 Dave Wagner 2008-12-19 20:04:38 EST
Created attachment 327516 [details]
Original RHEL 4.8 patch submission(5.01.03-d0-RHEL4.7-02 -> 5.01.03-d1-RHEL4.8)

Patches 1-7 are to applied on top of this patch.  Already submitted, but included in this BZ for completeness.

Tarball of all patches can be downloaded from:
ftp://ftp.qlogic.com/outgoing/linux/beta/iscsi/5.x/qla4xxx-5.01.03-d4-RHEL4.8-00.patches.tar.gz
Comment 9 Dave Wagner 2008-12-19 20:06:13 EST
Created attachment 327517 [details]
Full tarball

Can also be downloaded from:
ftp://ftp.qlogic.com/outgoing/linux/beta/iscsi/5.x/qla4xxx-5.01.03-d4-RHEL4.8-00.tar.gz
Comment 10 Andrius Benokraitis 2009-01-09 13:07:31 EST
Marcus, have these been POSTed yet?
Comment 11 Andrius Benokraitis 2009-01-09 13:12:03 EST
*** Bug 454816 has been marked as a duplicate of this bug. ***
Comment 12 IBM Bug Proxy 2009-01-09 13:25:33 EST
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:31 EDT
1. Feature Id:	[201506]
Feature Name:	QLA4XXX Driver Update
Sponsor:	xSeries
Category:	Device Drivers and IO
Request Type:	Driver - Update Version

2. Short Description
An updated version of qla4xxx driver is required to address several bug fixes and enhancements.
Qlogic will provide the latest available version.

3. Business Case
The qla4xxx driver is used across the System x product line. We need the in-distro driver to be as
current as possible so known critical bugs are ensured to be corrected.

4. Sponsor Priority	1
IBM Confidential:	no
Code Contribution:	3rd party code
Upstream Acceptance:	Accepted
Component Version Target:	Driver Update
Performance Assistance:

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Julio Alvarez, julioa@us.ibm.com
IBM is signed up to test and provide feedback

Updating PM score.
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.
*** This bug has been marked as a duplicate of 477280 ***
Comment 13 RHEL Product and Program Management 2009-01-09 13:50:12 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Marcus Barrow 2009-01-11 23:54:40 EST
Created attachment 328693 [details]
Dynamic DDB Changes
Comment 15 Marcus Barrow 2009-01-11 23:55:35 EST
Created attachment 328694 [details]
Error Recovery Fixes
Comment 16 Marcus Barrow 2009-01-11 23:56:24 EST
Created attachment 328695 [details]
Hang During Unload
Comment 17 Marcus Barrow 2009-01-11 23:58:12 EST
Created attachment 328696 [details]
initialization fixes
Comment 18 Marcus Barrow 2009-01-11 23:59:41 EST
Created attachment 328697 [details]
time out fix
Comment 19 Marcus Barrow 2009-01-12 00:01:02 EST
Created attachment 328698 [details]
init fixes

grabbed wrong patch last time...
Comment 20 Marcus Barrow 2009-01-12 00:02:55 EST
Created attachment 328699 [details]
code cleanups
Comment 22 Vivek Goyal 2009-01-15 09:05:24 EST
Committed in 78.29.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 24 Chris Ward 2009-02-20 07:10:04 EST
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should be a fix present in the Beta, which addresses this URGENT priority bug. If you haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and describe the issues you encountered. Further questions can be directed to your Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management
Comment 25 Chris Ward 2009-02-20 08:32:26 EST
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should
be a fix present in the Beta, which addresses this bug. If you have already completed testing your other URGENT priority bugs, and you still haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. Further questions can be directed to your
Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management
Comment 26 IBM Bug Proxy 2009-03-10 15:22:36 EDT
I have verified this driver update in RHEL 4.8 Partner Alpha.
Comment 28 errata-xmlrpc 2009-05-18 15:20:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html
Comment 29 IBM Bug Proxy 2011-02-22 04:55:04 EST
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 04:45 EDT-------
(In reply to comment #32)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
>
> http://rhn.redhat.com/errata/RHSA-2009-1024.html

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem

Note You need to log in before you can comment on or make changes to this bug.